<? include_once("../includes/main.inc.php");
$headerTitleName = "Add New Services";

$page_id = $_REQUEST['page_id'];
$country_name = addslashes($country_name);
$parent_childs = addslashes($parent_childs);
$title = addslashes($title);
$description = addslashes($description);
$keyword = addslashes($keyword);
$country_title = addslashes($country_title);
$country_descriptions = addslashes($country_descriptions);
$country_ad1 = addslashes($country_ad1);
$country_ad2 = addslashes($country_ad2);
$country_ad3 = addslashes($country_ad3);

	
if(is_post_back()) {

	if($page_id!='') {		 
		
		$sql = "update `tbl_country` set country_name='$country_name', parent_childs='$parent_childs', country_status='$country_status', title='$title', description='$description', keyword='$keyword', country_title='$country_title', country_descriptions='$country_descriptions', country_ad1='$country_ad1', country_ad2='$country_ad2',country_ad3='$country_ad3', country_modified=now() where country_id = $page_id ";
		db_query($sql);
		
		########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=120; // Fix the width of the thumb nail images
			$n_height=90; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
			db_query("update tbl_country set country_banner='".$sv_image_1."' where country_id = $page_id ");
		}
		set_session_msg("Services updated successfully.");	
	
	} else{	
	
	     ########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=120; // Fix the width of the thumb nail images
			$n_height=90; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/jpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
		}
	
		 $sql = "insert into `tbl_country` set country_name='$country_name',  parent_childs='$parent_childs',country_status='$country_status', title='$title', description='$description', keyword='$keyword', country_title='$country_title', country_descriptions='$country_descriptions', country_ad1='$country_ad1', country_ad2='$country_ad2', country_ad3='$country_ad3', country_banner='$sv_image_1',  country_join=now() ";
		db_query($sql);
		set_session_msg("New Services added successfully.");
	}
	header("Location: state.php?start=$start");
	exit;
}

$page_id = $_REQUEST['page_id'];
if($page_id!='') {
	$sql = "select * from `tbl_country` where country_id = '$page_id'";
	$result = db_query($sql);
	if ($line_raw = mysql_fetch_array($result)) {
		//$line_raw = ms_form_value($line_raw);
		@extract($line_raw);
	}
}
?>
<link href="styles.css" rel="stylesheet" type="text/css">

<? include("top.inc.php");?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="pageHead"><div id="txtPageHead">
       Add/Edit Services</div></td>
  </tr>
</table>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<table width="80%" align="left">
		  	<tr><td>
		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">
        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">
    	<tr>
		<td  colspan="2"height="30"  align="right"><a href="state.php?start=<?=$start?>" class="redcolor"><strong>Back To Services List</strong></a></td>
		</tr>    
        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  
		

        <tr><td>&nbsp;</td></tr>
        
        
        <tr>
		  <td class="lables"><b>Services Name</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($country_name)?>" name="country_name" id="country_name"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <?php  $pcqry = mysql_query("select country_id,country_name from `tbl_country` where parent_childs='0' ");	?>
        <tr>
		  <td class="lables"><b>Parent</b></td>
          <td class="feildstxt"><select name="parent_childs" id="parent_childs">
          <option value="0" <?php if($parent_childs=='0'){ echo 'selected="selected"'; } ?>>None</option>
          <?php while($parentData = mysql_fetch_assoc($pcqry)){ ?>  
          <option value="<?php echo $parentData['country_id']; ?>" <?php if($parentData['country_id']==$parent_childs){ echo 'selected="selected"'; } ?>><?php echo $parentData['country_name']; ?></option>      
          <?php } ?>    
          </select></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
      

		<tr>
		  <td class="lables"><b>Status</b></td>
          <td class="feildstxt"><select name="country_status" id="country_status">
          <option value="1" <?php if($country_status=='1'){ echo 'selected="selected"'; } ?>>Active</option>
          <option value="0" <?php if($country_status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          
          </select></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Title </b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="title" id="title"  ><?=stripslashes($title)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Description </b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="description" id="description"  ><?=stripslashes($description)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Keyword</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="keyword" id="keyword"  ><?=stripslashes($keyword)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Banner Image</b></td>
          <td class="feildstxt"><input type="file" name="sv_image" id="sv_image"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables"><b>Current Banner Image</b></td>
          <td class="feildstxt">
         <? if($page_id!='')
            {
                $sv_image = $country_banner;
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
                $imgsrc=UP_FILES_WS_PATH."/banner/thumb/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
				echo '<img src="'.$imgsrc.'" alt="No Image"  />';
                }
				else{  echo 'NO Images'; }
				
				
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/original/".$sv_image)){
                $imgsrcBig=UP_FILES_WS_PATH."/banner/original/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/banner/original/".$sv_image);
                $img=ImageCreateFromJPEG($imgsrcBig);
                $width=ImageSx($img); // Original picture width is stored
                $height=ImageSy($img); // Original picture height is stored
                }
				
			}
            ?>
             
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables"><b>Services Title</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="country_title" id="country_title"  ><?=stripslashes($country_title)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Services Descriptions</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="country_descriptions" id="country_descriptions"  ><?=stripslashes($country_descriptions)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad1</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="country_ad1" id="country_ad1"  ><?=stripslashes($country_ad1)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad2</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="country_ad2" id="country_ad2"  ><?=stripslashes($country_ad2)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad3</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="country_ad3" id="country_ad3"  ><?=stripslashes($country_ad3)?></textarea></td>
        </tr>
        
        <tr>
        <td align="left" class="lables">&nbsp;</td>
        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>
        </tr>
        <tr><td height="25">&nbsp;</td></tr>
   </table>
    </form>
    </td></tr></table> 
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('country_descriptions','650','400')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('country_ad1','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('country_ad2','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('country_ad3','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
  <? include("bottom.inc.php");?>